SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

# TODO: Имеет смысл, в этом файле хранить все что касается отчетов и статистики, и при этом файл переименовать.
DELIMITER //

DROP PROCEDURE IF EXISTS Stats_GetSupportRequestFrequency//
CREATE PROCEDURE `Stats_GetSupportRequestFrequency` (
	IN dateFrom DATE,
	IN dateTo DATE
)
READS SQL DATA
BEGIN
SELECT
  count(DATE(requests.Date)) as counter, DATE(requests.Date) as day
FROM `requests`WHERE dateFrom <= requests.Date AND requests.Date < DATE_ADD(dateTo, INTERVAL 1 DAY)
GROUP BY DATE(requests.Date);
END //

DROP PROCEDURE IF EXISTS Stats_GetSignInFrequency//
CREATE PROCEDURE `Stats_GetSignInFrequency` (
	IN dateFrom DATE,
	IN dateTo DATE
)
READS SQL DATA
BEGIN
SELECT 
	count(DATE(logs_signin.Date)) as counter, DATE(logs_signin.Date) as day
	FROM `logs_signin` WHERE dateFrom <= logs_signin.Date AND logs_signin.Date < DATE_ADD(dateTo, INTERVAL 1 DAY)
GROUP BY DATE(logs_signin.Date);
END//

DELIMITER ;